Skip to main content

Cancel Payable Register: Yardi REST

POSThttps://api.propexo.com/v1/payable-registers/cancel/yardi_rest
InterfaceMethod
Vendor Invoicing/ItfVendorInvoicing/CancelInvoiceRegisterBatch

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    payable_register_idstringrequired

    The Propexo unique identifier for the payable register

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    payable_register_idstringrequired

    The Propexo unique identifier for the payable register

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/payable-registers/cancel/yardi_rest
curl -X POST https://api.propexo.com/v1/payable-registers/cancel/yardi_rest \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"payable_register_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"payable_register_id": "string"
}
}